--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Wcisnij Numpad 0: Info");
		renderText(0.72, 0.88, 0.025, "- Ursus 1014 -");
		renderText(0.72, 0.85, 0.025, "- By Jamal & Dxmen -");			
		renderText(0.72, 0.81, 0.02, "Wcisnij Numpad 4: Otworz Drzwi lewe");
		renderText(0.72, 0.79, 0.02, "Wcisnij Numpad 6: Otworz Drzwi prawe");			
		renderText(0.72, 0.77, 0.02, "Wcisnij Numpad 8: Otworz Szyba tyl");
		renderText(0.72, 0.75, 0.02, "Wcisnij Numpad 5: Otworz Dach");
		renderText(0.72, 0.73, 0.02, "Wcisnij Numpad 7: Otworz Klape maski");
		renderText(0.72, 0.71, 0.02, "Wcisnij Numpad 9: Otworz Klape Skrzynki");
		renderText(0.72, 0.69, 0.02, "Wcisnij F: wlacz Swiatla");
	        renderText(0.72, 0.67, 0.02, "Wcisnij Home: wlacz Kogut");
		renderText(0.72, 0.65, 0.02, "Wcisnij 5: wlacz Halogeny przod");
		renderText(0.72, 0.63, 0.02, "Wcisnij 6: Wlacz Halogeny tyl");
		renderText(0.72, 0.61, 0.02, "Wcisnij 7: Wlacz Halogeny przod 2");
                renderText(0.72, 0.59, 0.02, "Wcisnij Numpad 1: Lewy kierunkowsakz");
		renderText(0.72, 0.57, 0.02, "Wcisnij Numpad 2: Swiatla awaryjne");
		renderText(0.72, 0.55, 0.02, "Wcisnij Numpad 3: Prawy kierunkowskaz");
		renderText(0.72, 0.53, 0.02, "Wcisnij 8: Zalacz przedni naped");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




